#!/bin/sh
# preinst script for benno-archive
#

set -e

# summary of how this script can be called:
#        * <new-preinst> `install'
#        * <new-preinst> `install' <old-version>
#        * <new-preinst> `upgrade' <old-version>
#        * <old-preinst> `abort-upgrade' <new-version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package

case "$1" in
    install|upgrade)
        if [ -d /var/spool/postfix ];then
            [ -z "$MILTER_SOCKDIR" ] && MILTER_SOCKDIR=/var/spool/postfix/benno-milter  
            [ -z "$SERVER_GROUP" ] && SERVER_GROUP=postfix
            if [ ! -d "$MILTER_SOCKDIR" ];then
                mkdir $MILTER_SOCKDIR
            fi
            chown $SERVER_USER:$SERVER_GROUP $MILTER_SOCKDIR
            chmod u=rwx,g=rwx,o= $MILTER_SOCKDIR
        else
            [ -d /etc/systemd/system/benno-milter.service.d ] || mkdir -p /etc/systemd/system/benno-milter.service.d
            cat - > /etc/systemd/system/benno-milter.service.d/override.conf <<EOF
[Service]
Environment="SOCKET_TYPE=inet" "SOCKET=22500@127.0.0.1" "SPOOLDIR=/srv/benno/inbox" "PIDFILE=/run/benno-milter/benno-milter.pid"
User=benno
Group=benno
EOF
        fi

        [ -z "$SERVER_USER" ] && SERVER_USER=benno
        [ -z "$INBOX_DIR" ] && INBOX_DIR=/srv/benno/inbox

        if ! getent passwd | grep -q "^$SERVER_USER:"; then
            echo -n "Adding system user $SERVER_USER.."
            adduser --quiet --system \
                    --group \
                    --home /srv/benno \
                    --disabled-password $SERVER_USER 2>/dev/null || true
            adduser --quiet $SERVER_USER $SERVER_GROUP || true
            echo "..done"
        fi

        if [ ! -d $INBOX_DIR ];then
            mkdir -p $INBOX_DIR
            chown $SERVER_USER:$SERVER_USER $INBOX_DIR
            chmod u=rwx,g=rwx,o= $INBOX_DIR
        fi

    ;;

    abort-upgrade)
    ;;

    *)
        echo "preinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.



exit 0
